pandoc-2.17.1.1: Conversion between markup formats

Copyright | Copyright (C) 2006-2022 John MacFarlane
License | GNU GPL, version 2 or above
Maintainer | John MacFarlane <jgm@berkeley.edu>
Stability | alpha
Portability | portable
Safe Haskell | None
Language | Haskell2010

Text.Pandoc.Readers.HTML

Description

Conversion of HTML to `Pandoc` document.

Synopsis

- readHtml :: (PandocMonad m, ToSources a) => ReaderOptions -> a -> m Pandoc
- htmlTag :: (HasReaderOptions st, Monad m) => (Tag Text -> Bool) -> ParserT Sources st m (Tag Text, Text)
- htmlInBalanced :: Monad m => (Tag Text -> Bool) -> ParserT Sources st m Text
- isInlineTag :: Tag Text -> Bool
- isBlockTag :: Tag Text -> Bool
- isTextTag :: Tag Text -> Bool
- isCommentTag :: Tag Text -> Bool

# Documentation

readHtml #

Arguments

:: (PandocMonad m, ToSources a) |
=> ReaderOptions | Reader options
-> a | Input to parse
-> m Pandoc |

Convert HTML-formatted string to `Pandoc` document.

htmlTag :: (HasReaderOptions st, Monad m) => (Tag Text -> Bool) -> ParserT Sources st m (Tag Text, Text) #

Matches a tag meeting a certain condition.

htmlInBalanced :: Monad m => (Tag Text -> Bool) -> ParserT Sources st m Text #

Matches a stretch of HTML in balanced tags.

isInlineTag :: Tag Text -> Bool #

isBlockTag :: Tag Text -> Bool #

isTextTag :: Tag Text -> Bool #

isCommentTag :: Tag Text -> Bool #